#!/bin/sh

if [ -f "/bin/bar" ]; then
	#versioonfile="/www/configs/version.info"
	version=`cat /www/configs/version.info |grep "version:" | cut -f 2 -d ":"`
	sversion="1.0.30."
	echo $version
	if [[ "$version" > "$sversion" ]]; then
		echo "new version"
		cd /tmp
		if [ -f "system.tar.bz2" ]; then 
			#if [ ! -p /tmp/myfifo ]; then
			#	mknod /tmp/myfifo p
			#fi
	
		  	#cd /tmp
		  	bar -n system.tar.bz2 | tar xjpf - -C /
		  	ret=$?
		  	if [ $ret -eq 1 ]; then
		      		echo "file system update fail"
		  	fi
	
		fi
		sync

		cd /tmp
		rm -rf myfifo
		rm -rf system.tar.bz2  update.sh
	else
		echo "old version"
		tar xjvf system.tar.bz2 -C /
	fi
else
	echo "old version"
	tar xjvf system.tar.bz2 -C /
fi

#echo "success"

